Subject: RE: bug#8789: 23.3; debug backtrace buffer changes window on step-through

From: "Drew Adams" <[email-masked]>
Date: Thu, 20 Sep 2012 11:08:26 -0700

>  > It's caused by the calculation of the mode-line.  Try this:
>  >   (setq-default mode-line-remote nil)
>  > and the problem is gone.
> 
> So the solution is probably to never enable `debug-on-entry' for
> functions that run through the mode-line mechanism.

That does not sound like the solution to me.  That sounds like giving up on
using the debugger.  What does "run through the mode-line mechanism" even mean,
and how does a user tell whether a given function might "run through..."?  And
for such functions (whatever that might mean), what workaround do you propose,
to get the effect of `debug-on-entry'.

This is a regression, and should just be fixed.  Users should not have to work
around it or jump over it - that is not "the solution".

`mode-line-remote' was introduced in Emacs 23.  If it is that introduction that
introduced this regression then that change needs to be fixed somehow, or
reverted.